/**
 * RoleClassPart.java
 *
 * File generated from the medication::RoleClassPart uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassPart.
 *
 */

@XmlType(name = "RoleClassPart")
@XmlEnum
@XmlRootElement(name = "RoleClassPart")
public enum RoleClassPart {
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM");
	
	private final String value;

    RoleClassPart(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassPart fromValue(String v) {
        for (RoleClassPart c: RoleClassPart.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}